// IAuthGuiderInterface.aidl
package com.qihoo.contents.plugin.authguider;

// Declare any non-default types here with import statements

interface IAuthGuiderInterface {

    int queryAuthStatus(int authCode);

    int queryAuthGuideCount(int authCode);

    List queryLastGuideTimePair(int authCode);

    void setAuthStatus(int authCode, boolean status);

    boolean isRomAdapted();

    boolean startAuthGuide(int authCode);

    // request to show dialog
    void requestAuthByEvent(int event);

    // request to show dialog
    void requestAuthByAuthCode(int authCode, String extra);

    // query notification listener and USAGE_ACCESS_SETTINGS
    int querySpecialAuthStatus(int authCode, String extra);
}
